import request from '@/utils/request'

// 查询文件列表
export function listChatDatasetFile(query) {
  return request({
    url: '/chat/chatDatasetFile/list',
    method: 'get',
    params: query
  })
}

// 查询文件详细
export function getChatDatasetFile(fileId) {
  return request({
    url: '/chat/chatDatasetFile/' + fileId,
    method: 'get'
  })
}

// 新增文件
export function addChatDatasetFile(data) {
  return request({
    url: '/chat/chatDatasetFile',
    method: 'post',
    data: data
  })
}

// 修改文件
export function updateChatDatasetFile(data) {
  return request({
    url: '/chat/chatDatasetFile',
    method: 'put',
    data: data
  })
}

// 删除文件
export function delChatDatasetFile(fileId) {
  return request({
    url: '/chat/chatDatasetFile/' + fileId,
    method: 'delete'
  })
}

// 导出文件
export function exportChatDatasetFile(query) {
  return request({
    url: '/chat/chatDatasetFile/export',
    method: 'get',
    params: query
  })
}